import request from '@/utils/request'

// 获取一级地址
export function getProvinceList(params = {}) {
  return request({
    url: '/cityManageArea/getTreeClass',
    method: 'GET',
    params
  })
}

// 查询子地区
export function getChildAreaList(parentId) {
  return request({
    url: 'cityManageArea/getTreeOne',
    method: "GET",
    params: {
      parentId
    }
  })
}

//  查询小区
export function getCommunityList(params) {
  return request({
    url: '/cityCommunity/selectCommunity',
    method: 'GET',
    params
  })
}